# Method: projects.locations.keys.undelete

- [HTTP request](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.request_body)
- [Response body](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/undelete#try-it)

Undeletes an API key which was deleted within 30 days.

NOTE: Key is a global resource; hence the only supported value for location is `global`.

### HTTP request

`POST https://apikeys.googleapis.com/v2/{name=projects/*/locations/*/keys/*}:undelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the API key to be undeleted. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `apikeys.keys.undelete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `apikeys.keys.undelete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).